curl --request GET \
--url https://int-data.moneydesktop.com/jobs/{job_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/jobs/{job_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/jobs/{job_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"created_at": "2022-06-16T18:42:30.000Z",
"error_message": null,
"error_message_code": null,
"finished_at": "2022-06-16T18:42:43.000Z",
"guid": "JOB-e386a323-e452-47f2-b2fd-1ac3c18533de",
"institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"is_authenticated": true,
"member_guid": "MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa",
"started_at": "2022-06-16T18:42:30.000Z",
"status": 6,
"status_name": "COMPLETED",
"updated_at": "2022-06-16T18:42:43.000Z",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
}Read job
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the job. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
Date and time the job was created, ISO 8601 format.
"2022-06-16T18:42:30.000Z"
Error message if the job returns an error.
null
Error message code if the job returns an error.
null
Date and time the job finished, ISO 8601 format.
"2022-06-16T18:42:43.000Z"
Unique identifier for the job, defined by MX.
"JOB-e386a323-e452-47f2-b2fd-1ac3c18533de"
Unique identifier for the institution, defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
If the member's credentials have been authenticated.
true
Unique identifier for the member, defined by MX.
"MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa"
Date and time the job started, ISO 8601 format.
"2022-06-16T18:42:30.000Z"
The status of the job. See Job Status for more information.
6
The name of the job status. See Job Status for more info.
"COMPLETED"
Date and time the job was updated, ISO 8601 format.
"2022-06-16T18:42:43.000Z"
Unique identifier for the user, defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"

